<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="FluentValidation.AspNetCore" Version="11.3.1" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.21" />
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.11" />
        <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.11" />
        <PackageReference Include="OpenHarbor.CQRS" Version="8.1.0-rc1" />
        <PackageReference Include="OpenHarbor.CQRS.AspNetCore" Version="8.1.0-rc1" />
        <PackageReference Include="OpenHarbor.CQRS.DynamicQuery.AspNetCore" Version="8.1.0-rc1" />
        <PackageReference Include="PoweredSoft.Data" Version="3.0.0" />
        <PackageReference Include="PoweredSoft.Data.EntityFrameworkCore" Version="3.0.0" />
        <PackageReference Include="PoweredSoft.DynamicQuery" Version="3.0.1" />
        <PackageReference Include="PoweredSoft.Module.Abstractions" Version="2.0.0" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="6.6.2" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include=".context\" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Codex.Dal\Codex.Dal.csproj" />
      <ProjectReference Include="..\Codex.CQRS\Codex.CQRS.csproj" />
    </ItemGroup>

</Project>
